Last modified: 15 May 2009
Name: H5Pset_fapl_mpio
Signature:
  herr_t `H5Pset_fapl_mpio`( hid_t `fapl_id`, MPI_Comm `comm`, MPI_Info `info` )

Purpose:
  Stores MPI IO communicator information to the file access property list.

Description:
  `H5Pset_fapl_mpio` stores the user-supplied MPI IO parameters `comm`, for communicator, and `info`, for information, in the file access property list `fapl_id`. That property list can then be used to create and/or open a file.

  `H5Pset_fapl_mpio` is available only in the parallel HDF5 library and is not a collective function.

  `comm` is the MPI communicator to be used for file open, as defined in `MPI_FILE_OPEN` of MPI-2. This function makes a duplicate of the communicator, so modifications to `comm` after this function call returns have no effect on the file access property list.

  `info` is the MPI Info object to be used for file open, as defined in `MPI_FILE_OPEN` of MPI-2. This function makes a duplicate copy of the Info object, so modifications to the Info object after this function call returns will have no effect on the file access property list.

  If the file access property list already contains previously-set communicator and Info values, those values will be replaced and the old communicator and Info object will be freed.

Note:
  Raw dataset chunk caching is not currently supported when using this file driver in read/write mode. All calls to `H5Dread` and `H5Dwrite` will access the disk directly, and `H5Pset_cache` and `H5Pset_chunk_cache` will have no effect on performance.

  Raw dataset chunk caching is supported when this driver is used in read-only mode.

Parameters:

  hid_t `fapl_id` | IN: File access property list identifier
  MPI_Comm `comm` | IN: MPI-2 communicator
  MPI_Info `info` | IN: MPI-2 info object

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.

Fortran90 Interface: h5pset_fapl_mpio_f

      SUBROUTINE h5pset_fapl_mpio_f(prp_id, comm, info, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(IN) :: comm           ! MPI communicator to be used for
                                              ! file open as defined in
                                              ! MPI_FILE_OPEN of MPI-2
        INTEGER, INTENT(IN) :: info           ! MPI info object to be used for
                                              ! file open as defined in
                                              ! MPI_FILE_OPEN of MPI-2
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_fapl_mpio_f

History:

Release | Change
1.4.5 | Handling of the MPI Communicator and Info object changed at this release. A duplicate of each of these is now stored in the property list instead of pointers to each.
1.4.0 | C function introduced in this release.